Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.chenyu.cn/v1/videos/{task_id} \ --header 'Authorization: Bearer <token>'
{ "id": "<string>", "object": "<string>", "model": "<string>", "status": "<string>", "url": "<string>", "error": {} }
查询视频生成任务状态和结果
video
queued
running
succeeded
failed
import requests task_id = "cgt-20260602154730-twmv2" url = f"https://api.chenyu.cn/v1/videos/{task_id}" headers = {"Authorization": "Bearer your_api_key"} response = requests.get(url, headers=headers) print(response.json())
{ "id": "cgt-20260602154730-twmv2", "object": "video", "model": "doubao-seedance-2-0-fast-260128", "status": "succeeded", "url": "https://example.com/video.mp4" }